> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/commerce-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/commerce-api/payments/payments-solutions/digitalriver.js/payment-methods/common-payment-sources.md).

# Common payment sources

## Payment source statuses

| Status            | Definition                                                                                                                                                   |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| pending\_redirect | The source requires further action before you can use it in a transaction. Redirect the customer to authorize the payment on the payment provider's website. |
| pending\_funds    | The source requires further action before you can use it in a transaction. Instruct the customer to push funds to the account specified on the source.       |
| chargeable        | The source can be used to create a charge.                                                                                                                   |
| consumed          | The source has been used to create a charge and is not reusable.                                                                                             |
| cancelled         | The source is no longer usable.                                                                                                                              |
| failed            | The source cannot be created.                                                                                                                                |

## Payment source types <a href="#payment-source-types" id="payment-source-types"></a>

| Type                                 | Identifier       |
| ------------------------------------ | ---------------- |
| Afterpay                             | afterPay         |
| Alipay (domestic)                    | alipay           |
| Alipay+ (cross-border)               | alipayCn         |
| Amazon Pay                           | amazonPay        |
| Apple Pay                            | applePay         |
| Bancontact                           | bancontact       |
| BLIK                                 | blik             |
| Boleto                               | boletoBancario   |
| CCAvenue                             | ccavenue         |
| Clearpay                             | clearPay         |
| Credit Card                          | creditCard       |
| Google Pay                           | googlepay        |
| iDEAL                                | ideal            |
| Klarna                               | klarnaCredit     |
| Konbini                              | konbini          |
| Online banking (FXP)                 | fpxOnlineBanking |
| Online Banking (IBP)                 | onlineBanking    |
| Online Banking (Korea Bank Transfer) | bankTransfer     |
| PayCo                                | payco            |
| PayPal                               | payPal           |
| PayPal Billing Agreement             | payPalBilling    |
| PayPal Credit                        | payPalCredit     |
| SEPA Direct Debit                    | directDebit      |
| Trustly                              | trustly          |
| Wire Transfer                        | wireTransfer     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/commerce-api/payments/payments-solutions/digitalriver.js/payment-methods/common-payment-sources.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
